Create a Note using an Email
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote/Email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromEmail": "<string>",
"toEmail": "<string>",
"subject": "<string>",
"body": "<string>"
}
'[
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
},
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
}
]Contact Notes
Create a Note using an Email
POST
/
api
/
ContactNote
/
Email
Create a Note using an Email
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote/Email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromEmail": "<string>",
"toEmail": "<string>",
"subject": "<string>",
"body": "<string>"
}
'[
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
},
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on June 5, 2026
Was this page helpful?
⌘I